package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/geo/geo_models"
)

// CoordinateBasicChannelWrapper wraps the object with workflow params
type CoordinateBasicChannelWrapper struct {
	Obj      geo_models.CoordinateBasic
	APIKey   string
	SagaID   string
	SagaType string
}

// CoordinateBasic is a first class object type
type CoordinateBasic struct {
	ID         string
	CountryID  string
	CountyID   string
	Focus      string
	Geocode    string
	IsDistrict bool
	Name       string
	PlaceID    string
	Ref        string
	StateID    string
	TaxTypes   []*string
}

// CoordinateChannelWrapper wraps the object with workflow params
type CoordinateChannelWrapper struct {
	Obj      geo_models.Coordinate
	APIKey   string
	SagaID   string
	SagaType string
}

// Coordinate is a first class object type
type Coordinate struct {
	ID               string
	Country          string
	CountryID        string
	County           string
	CountyID         string
	CreatedByID      string
	CreatedDate      sql.NullTime
	Focus            string
	FormattedAddress string
	Geocode          string
	IsDistrict       bool
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	Latitude         float64
	Longitude        float64
	Name             string
	Neighborhood     string
	Map              []byte
	OwnerID          string
	Place            string
	PlaceID          string
	PostalCode       string
	Ref              string
	State            string
	StateID          string
	Status           string
	Street           string
	StreetNumber     string
	StreetView       []byte
	TaxRate          *TaxRate
	TaxTypes         []*TaxType
	TaxTypeIDs       []*string
}
