package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/crm/crm_models"
)

// LeadChannelWrapper wraps the object with workflow params
type LeadChannelWrapper struct {
	Obj      crm_models.Lead
	APIKey   string
	SagaID   string
	SagaType string
}

// Lead is a first-class object type
type Lead struct {
	ID               string
	Address          *Address
	Company          string
	CreatedByID      string
	CreatedDate      sql.NullTime
	Description      string
	Email            string
	FirstName        string
	LastName         string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	MobilePhone      string
	Name             string
	OwnerID          string
	PartnerAccountID string
	Phone            string
	ProductID        string
	RefererURL       string
	Status           string
	TenantID         string
	Title            string
	Type             string
	UTMCampaign      string
	UTMContent       string
	UTMMedium        string
	UTMSource        string
	UTMTerm          string
	Website          string
}
