package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/geo/geo_models"
)

// TaxInstanceChannelWrapper wraps the object with workflow params
type TaxInstanceChannelWrapper struct {
	Obj      geo_models.TaxInstance
	APIKey   string
	SagaID   string
	SagaType string
}

// TaxInstance is a first class object type
type TaxInstance struct {
	ID               string
	CountryID        string
	CountyID         string
	CreatedByID      string
	CreatedDate      sql.NullTime
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	PlaceID          string
	StateID          string
	TaxTypeID        string
	Type             string
}
