package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/devops/devops_models"
)

// TenantChannelWrapper wraps the object with workflow params
type TenantChannelWrapper struct {
	Obj      devops_models.Tenant
	APIKey   string
	SagaID   string
	SagaType string
}

// Tenant is a first class object type
type Tenant struct {
	ID               string
	AccountID        string
	Active           bool
	CreatedByID      string
	CreatedDate      sql.NullTime
	Databases        []*Database
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	Roles            []*Role
	Status           string
	TenantName       string
	TenantUsers      []*TenantUser
	Type             string
	Version          string
}
